"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BitBufferArray extends Array {
    /**
     * Converts a binary string to an ASCII string.
     *
     * @returns The ASCII string.
     */
    toAscii() {
        let asciiString = '';
        for (let i = 0; i < this.length; i++) {
            const byte = this.slice(i, i + 8);
            const charCode = parseInt(byte.toString(), 2);
            const char = String.fromCharCode(charCode);
            asciiString += char;
        }
        return asciiString;
    }
    toString() {
        return this.map((buffer) => buffer.toString()).join('-');
    }
}
exports.default = BitBufferArray;
