import { KeyGeneration } from '../entity/flow';
import { Keys } from '../entity/keys';
export default class KeyGenerator {
    /**
     * Generate keys based on the secret bit array
     *
     * @param {number[]} secretBitArray - An array of 10 bits containing the secret key
     * @returns {[Keys, KeyGeneration]} - An array containing the generated keys and the key generation process
     * @throws {Error} - If the secretBitArray length is not equal to 10 or any value in the array is not 0 or 1
     */
    static Generate(secretBitArray: number[]): [Keys, KeyGeneration];
}
